# redisson 配置
#redisson:
#    # redis key前缀
#    keyPrefix:
#    # 线程池数量
#    threads: 4
#    # Netty线程池数量
#    nettyThreads: 8
#    # 单节点配置
#    singleServerConfig:
#        # 客户端名称
#        clientName: ${spring.application.name}
#        # 最小空闲连接数
#        connectionMinimumIdleSize: 8
#        # 连接池大小
#        connectionPoolSize: 32
#        # 连接空闲超时，单位：毫秒
#        idleConnectionTimeout: 10000
#        # 命令等待超时，单位：毫秒
#        timeout: 3000
#        # 发布和订阅连接池大小
#        subscriptionConnectionPoolSize: 50

# 分布式锁 lock4j 全局配置
#lock4j:
#    # 获取分布式锁超时时间，默认为 3000 毫秒
#    acquire-timeout: 3000
#    # 分布式锁的超时时间，默认为 30 秒
#    expire: 30000

# Sa-Token配置
sa-token:
    # token名称 (同时也是cookie名称)
    token-name: Authorization
    # 开启内网服务调用鉴权(不允许越过gateway访问内网服务 保障服务安全)
    check-same-token: false
    # 是否允许同一账号并发登录 (为true时允许一起登录, 为false时新登录挤掉旧登录)
    is-concurrent: true
    # 在多人登录同一账号时，是否共用一个token (为true时所有登录共用一个token, 为false时每次登录新建一个token)
    is-share: true
    # 是否输出操作日志
    is-log: true
    # jwt秘钥
    jwt-secret-key: abcdefghijklmnopqrstuvwxyz
